#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    int q;
    cin>>q;
    int b[q];
    int c[q];
    for(int i=0;i<q;i++)
    {
        cin>>b[i]>>c[i];
    }
    int pom,k;
    for(int i=0;i<q;i++)
    {
        k=0;
        pom=0;
        for(int j=b[i]-1;j<(c[i]-1)/2;j++)
        {
            if(a[j+1]<a[j])
            {
                pom++;
            }
            if(a[c[i]-2-k]<a[c[i]-3-k])
            {
                pom++;
            }
            if(pom>1)
            {
                break;
            }
            k++;
        }
        if(pom>1)
        {
            cout<<"NE"<<"\n";
        }
        else
        {
            cout<<"DA"<<"\n";
        }
    }
    return 0;
}